Disable check for newer versions on start.

--- a/gui/preferences.ui
+++ b/gui/preferences.ui
@@ -40,13 +40,6 @@
        </property>
        <layout class="QVBoxLayout" name="verticalLayout_4">
         <item>
-         <widget class="QCheckBox" name="startupCheck">
-          <property name="text">
-           <string>Check for newer version on start.</string>
-          </property>
-         </widget>
-        </item>
-        <item>
          <widget class="QCheckBox" name="reportStatisticsCheck">
           <property name="text">
            <string>Anonymously report usage data.</string>
--- a/gui/preferences.cpp
+++ b/gui/preferences.cpp
@@ -39,7 +39,6 @@ Preferences::Preferences(QWidget* parent
 {
   ui_.setupUi(this);
 
-  ui_.startupCheck->setChecked(bd_.startupVersionCheck);
   ui_.reportStatisticsCheck->setChecked(bd_.reportStatistics);
   // Because of an unfortunate bug in 1.4.0, we turn this off in 1.4.1.
   if (VERSION == "1.4.1") 
@@ -81,7 +80,6 @@ void Preferences::acceptClicked()
     formatList_[i].setHidden(item->checkState() == Qt::Unchecked);
   }
 
-  bd_.startupVersionCheck = ui_.startupCheck->isChecked();
   bd_.reportStatistics = ui_.reportStatisticsCheck->isChecked();
   accept();
 }
--- a/gui/babeldata.h
+++ b/gui/babeldata.h
@@ -63,7 +63,7 @@ public:
     upgradeErrors(0),
     upgradeOffers(0),
     runCount(0),
-    startupVersionCheck(true),
+    startupVersionCheck(false),
     reportStatistics(false),
     allowBetaUpgrades(false),
     ignoreVersionMismatch(true),
--- a/gui/mainwinui.ui
+++ b/gui/mainwinui.ui
@@ -641,7 +641,6 @@
     <addaction name="actionHelp"/>
     <addaction name="separator"/>
     <addaction name="actionAbout"/>
-    <addaction name="actionUpgradeCheck"/>
     <addaction name="separator"/>
     <addaction name="actionVisit_Website"/>
     <addaction name="actionMake_a_Donation"/>
@@ -670,11 +669,6 @@
     <string>Preferences...</string>
    </property>
   </action>
-  <action name="actionUpgradeCheck">
-   <property name="text">
-    <string>Check for Upgrade</string>
-   </property>
-  </action>
   <action name="actionVisit_Website">
    <property name="text">
     <string>Visit Website...</string>
--- a/gui/mainwindow.cpp
+++ b/gui/mainwindow.cpp
@@ -153,7 +153,6 @@ MainWindow::MainWindow(QWidget* parent):
   connect(ui.actionAbout, SIGNAL(triggered()), this, SLOT(aboutActionX()));
   connect(ui.actionVisit_Website, SIGNAL(triggered()), this, SLOT(visitWebsiteActionX()));
   connect(ui.actionMake_a_Donation, SIGNAL(triggered()), this, SLOT(donateActionX()));
-  connect(ui.actionUpgradeCheck, SIGNAL(triggered()), this, SLOT(upgradeCheckActionX()));
   connect(ui.actionPreferences, SIGNAL(triggered()), this, SLOT(preferencesActionX()));
 
   connect(ui.inputFormatCombo,  SIGNAL(currentIndexChanged(int)),
@@ -197,19 +196,8 @@ MainWindow::MainWindow(QWidget* parent):
 
   //--- Restore from registry
   restoreSettings();
-
   upgrade = new UpgradeCheck(parent, formatList, bd);
-  if (bd.startupVersionCheck) {
-    upgrade->checkForUpgrade(babelVersion, bd.upgradeCheckTime, 
-                             allowBetaUpgrades());
-  }
-
-  if (!bd.ignoreVersionMismatch && babelVersion != VERSION) {
-    VersionMismatch vm(0, babelVersion, QString(VERSION));
 
-    vm.exec();
-    bd.ignoreVersionMismatch = vm.neverAgain();
-  }
 }
 
 //------------------------------------------------------------------------
@@ -926,10 +914,6 @@ void MainWindow::applyActionX()
 //------------------------------------------------------------------------
 void MainWindow::closeActionX()
 {
-  QDateTime wt= upgrade->getUpgradeWarningTime();
-  if (wt.isValid()) {
-    bd.upgradeCheckTime = wt;
-  }
   bd.runCount++;
 
   QDateTime now = QDateTime::currentDateTime();
